net.minecraft.network

## Class Packet

- java.lang.Object
- - net.minecraft.network.Packet

- Direct Known Subclasses:
    C00Handshake, C00PacketKeepAlive, C00PacketLoginStart, C00PacketServerQuery, C01PacketChatMessage, C01PacketEncryptionResponse, C01PacketPing, C02PacketUseEntity, C03PacketPlayer, C07PacketPlayerDigging, C08PacketPlayerBlockPlacement, C09PacketHeldItemChange, C0APacketAnimation, C0BPacketEntityAction, C0CPacketInput, C0DPacketCloseWindow, C0EPacketClickWindow, C0FPacketConfirmTransaction, C10PacketCreativeInventoryAction, C11PacketEnchantItem, C12PacketUpdateSign, C13PacketPlayerAbilities, C14PacketTabComplete, C15PacketClientSettings, C16PacketClientStatus, C17PacketCustomPayload, FMLProxyPacket, S00PacketDisconnect, S00PacketKeepAlive, S00PacketServerInfo, S01PacketEncryptionRequest, S01PacketJoinGame, S01PacketPong, S02PacketChat, S02PacketLoginSuccess, S03PacketTimeUpdate, S04PacketEntityEquipment, S05PacketSpawnPosition, S06PacketUpdateHealth, S07PacketRespawn, S08PacketPlayerPosLook, S09PacketHeldItemChange, S0APacketUseBed, S0BPacketAnimation, S0CPacketSpawnPlayer, S0DPacketCollectItem, S0EPacketSpawnObject, S0FPacketSpawnMob, S10PacketSpawnPainting, S11PacketSpawnExperienceOrb, S12PacketEntityVelocity, S13PacketDestroyEntities, S14PacketEntity, S18PacketEntityTeleport, S19PacketEntityHeadLook, S19PacketEntityStatus, S1BPacketEntityAttach, S1CPacketEntityMetadata, S1DPacketEntityEffect, S1EPacketRemoveEntityEffect, S1FPacketSetExperience, S20PacketEntityProperties, S21PacketChunkData, S22PacketMultiBlockChange, S23PacketBlockChange, S24PacketBlockAction, S25PacketBlockBreakAnim, S26PacketMapChunkBulk, S27PacketExplosion, S28PacketEffect, S29PacketSoundEffect, S2APacketParticles, S2BPacketChangeGameState, S2CPacketSpawnGlobalEntity, S2DPacketOpenWindow, S2EPacketCloseWindow, S2FPacketSetSlot, S30PacketWindowItems, S31PacketWindowProperty, S32PacketConfirmTransaction, S33PacketUpdateSign, S34PacketMaps, S35PacketUpdateTileEntity, S36PacketSignEditorOpen, S37PacketStatistics, S38PacketPlayerListItem, S39PacketPlayerAbilities, S3APacketTabComplete, S3BPacketScoreboardObjective, S3CPacketUpdateScore, S3DPacketDisplayScoreboard, S3EPacketTeams, S3FPacketCustomPayload, S40PacketDisconnect

      public abstract class Packet
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Packet` | `generatePacket(com.google.common.collect.BiMap p_148839_0_, int p_148839_1_)`
    `boolean` | `hasPriority()`
    `abstract void` | `processPacket(INetHandler var1)`
    `static byte[]` | `readBlob(io.netty.buffer.ByteBuf p_148834_0_)`
    `abstract void` | `readPacketData(PacketBuffer var1)`
    `java.lang.String` | `serialize()`
    `java.lang.String` | `toString()`
    `static void` | `writeBlob(io.netty.buffer.ByteBuf p_148838_0_, byte[] p_148838_1_)`
    `abstract void` | `writePacketData(PacketBuffer var1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Packet

          public Packet()

  - ### Method Detail

    - #### generatePacket

          public static Packet generatePacket(com.google.common.collect.BiMap p_148839_0_,
                              int p_148839_1_)

    - #### writeBlob

          public static void writeBlob(io.netty.buffer.ByteBuf p_148838_0_,
                       byte[] p_148838_1_)

    - #### readBlob

          public static byte[] readBlob(io.netty.buffer.ByteBuf p_148834_0_)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readPacketData

          public abstract void readPacketData(PacketBuffer var1)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writePacketData

          public abstract void writePacketData(PacketBuffer var1)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### processPacket

          public abstract void processPacket(INetHandler var1)

    - #### hasPriority

          public boolean hasPriority()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### serialize

          public java.lang.String serialize()